/* MatrixFunctions.h */

#include "myTypedef.h"

void exp_tM(Complex **R, Complex ***P, Complex t, Complex **M, Complex *root, int *m, int k, int n,
			Complex **tempM, Complex **tempM1, Complex **sum, Complex **current);
void log_M(Complex **R, Complex ***A, Complex ***Omega, Complex *root, int *m, int k, int n,
			Complex **tempM, Complex **tempM1, Complex **sum, Complex **current);
void M_t(Complex **R, Complex ***P, Complex t, Complex ***Omega, Complex *root, int *m, int k, int n,
		Complex **tempM, Complex **tempM1, Complex **sum, Complex **current);
